# Uses of Interface
org.apache.sling.fsprovider.internal.parser.ContentElement

Packages that use ContentElement
Package
Description
org.apache.sling.fsprovider.internal.mapper
org.apache.sling.fsprovider.internal.parser

## Uses of ContentElement in org.apache.sling.fsprovider.internal.mapper

Methods in org.apache.sling.fsprovider.internal.mapper that return ContentElement
Modifier and Type
Method
Description
`ContentElement`
ContentFile.`getContent()`
Content object referenced by sub path.
Methods in org.apache.sling.fsprovider.internal.mapper that return types with arguments of type ContentElement
Modifier and Type
Method
Description
`Iterator<Map.Entry<String,ContentElement>>`
ContentFile.`getChildren()`

## Uses of ContentElement in org.apache.sling.fsprovider.internal.parser

Methods in org.apache.sling.fsprovider.internal.parser that return ContentElement
Modifier and Type
Method
Description
`ContentElement`
ContentFileCache.`get(String path, File file)`
Get content.
`ContentElement`
ContentFileCache.`get(String path, File file, ContentType contentType)`
Get content.
`ContentElement`
ContentElement.`getChild(String path)`
Get child or descendant
Methods in org.apache.sling.fsprovider.internal.parser that return types with arguments of type ContentElement
Modifier and Type
Method
Description
`Map<String,ContentElement>`
ContentElement.`getChildren()`
Get children of current resource.